Package org.eclipse.e4.ui.css.core.impl.dom

# Class CSSRuleListImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.dom.CSSRuleListImpl

All Implemented Interfaces:
  `CSSRuleList`

public class CSSRuleListImpl extends Object implements CSSRuleList

## Constructor Summary

Constructors
Constructor
Description
`CSSRuleListImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(CSSRule rule)`
`int`
`getLength()`
`CSSRule`
`item(int position)`
`void`
`remove(int position)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CSSRuleListImpl

public CSSRuleListImpl()

## Method Details

### getLength

public int getLength()

Specified by:
  `getLength` in interface `CSSRuleList`

### item

public CSSRule item(int position)

Specified by:
  `item` in interface `CSSRuleList`

### add

public void add(CSSRule rule)

### remove

public void remove(int position)